Bug 227653 - www/validator: Change p5-CGI.pm dependency to p5-CGI
Summary: www/validator: Change p5-CGI.pm dependency to p5-CGI
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-20 12:40 UTC by Naram Qashat
Modified: 2018-05-13 16:12 UTC (History)
1 user (show)

See Also:


Attachments
validator-CGI.patch (672 bytes, patch)
2018-04-20 12:40 UTC, Naram Qashat
cyberbotx: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2018-04-20 12:40:09 UTC
Created attachment 192679 [details]
validator-CGI.patch

It appears that p5-CGI is the newer version of p5-CGI.pm, as when attempting to look up p5-CGI.pm on CPAN, it goes to p5-CGI instead. I am unsure if there needs to be a message about this in UPDATING, since the package system thinks that p5-CGI is a downgrade from p5-CGI.pm due to the latter having a PORTEPOCH of 1.
Comment 1 Koichiro Iwao freebsd_committer 2018-05-09 09:04:12 UTC
Take.
Comment 2 commit-hook freebsd_committer 2018-05-13 16:12:09 UTC
A commit references this bug:

Author: meta
Date: Sun May 13 16:12:04 UTC 2018
New revision: 469804
URL: https://svnweb.freebsd.org/changeset/ports/469804

Log:
  www/validator: Change p5-CGI.pm dependency to p5-CGI

  Using p5-CGI rather than p5-CGI.pm is more convenient for many people
  because many www ports depends on p5-CGI and it conflicts with p5-CGI.pm.
  Also pet portlint.

  PR:		227653
  Submitted by:	cyberbotx@cyberbotx.com (maintainer)
  Approved by:	pi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D15414

Changes:
  head/www/validator/Makefile
Comment 3 Koichiro Iwao freebsd_committer 2018-05-13 16:12:57 UTC
Committed.